interface FormDefaults {
    type: string;
    label: string;
    required: boolean;
    name: string;
    disabled?: boolean;
}
interface FormItemInput extends FormDefaults {
    type: 'text' | 'url';
    placeholder?: string;
    defaultValue?: string;
}
interface FormCheckboxInput extends FormDefaults {
    type: 'checkbox';
    defaultChecked: boolean;
}
export declare type FormInputs = (FormItemInput | FormCheckboxInput)[][];
export declare type OnSubmitData = {
    [key: string]: string | boolean;
};
interface FormViewOptions {
    inputs: FormInputs;
    onSubmit: (data: OnSubmitData) => void;
}
declare class FormView {
    dom: HTMLElement;
    constructor(options: FormViewOptions);
    render: (formInputs: FormInputs) => void;
}
export default FormView;
