import { EditorState, Transaction } from 'prosemirror-state';
import { Schema } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
declare type TCR = {
    dom: HTMLElement;
    update: (state: EditorState) => void;
};
declare type TBHeading = Array<'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6'>;
declare type TBItems = 'bold' | 'italic' | 'code' | 'blockquote' | 'ordered_list' | 'bullet_list' | 'link';
export declare type ToolbarDropdown = {
    heading?: TBHeading;
};
export declare type ToolbarBuiltInMenuItem = (editorView: EditorView, spec: MenuItemSpec) => TCR;
export declare type ToolbarCustomMenuItem = (editorView: EditorView) => TCR;
export declare type ToolbarDropdownGroupKeys = keyof ToolbarDropdown;
export declare type ToolbarDropdownGroupValues = ToolbarDropdown[ToolbarDropdownGroupKeys];
export declare type ToolbarItem = TBItems | ToolbarDropdown | ToolbarBuiltInMenuItem | ToolbarCustomMenuItem;
export declare type Toolbar = Array<ToolbarItem[]>;
export interface MenuItemSpec {
    classNames?: string[];
    icon?: {
        default: string;
        alt: string;
    };
    iconContainerClass?: string;
    textContent?: string;
    attrs?: {
        [key: string]: string;
    };
    activeClass: string;
    disabledClass: string;
}
export declare type DOMUpdateOptions = {
    active: boolean;
    disabled: boolean;
};
export declare type MenuLabels = {
    [key: string]: string;
};
export interface MenuOptions {
    toolbar?: Toolbar;
    labels?: MenuLabels;
    schema?: Schema;
}
export declare type Command = (schema: EditorState, dispatch: (tr: Transaction) => void) => boolean;
export interface DropdownViewRender {
    dom: HTMLElement;
    updates: Array<(state: EditorState) => void>;
}
export interface MenuItemViewRender {
    dom: HTMLElement;
    update: (state: EditorState) => void;
}
export {};
